GET api/departmentapi/department/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "b773c12d-66e5-4eb0-916c-28352e2286b5",
  "delay_between_scans": 1,
  "id": "5f9017b9-ba66-4b8e-b26e-e8b804937037",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "3c780d45-9acb-4b11-821d-f2585548a3d9",
  "selected_sticker_id": "82c5f51b-8bb2-465a-8654-7e5fe1a0a00b"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>b773c12d-66e5-4eb0-916c-28352e2286b5</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>5f9017b9-ba66-4b8e-b26e-e8b804937037</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>3c780d45-9acb-4b11-821d-f2585548a3d9</selected_nameplate_id>
  <selected_sticker_id>82c5f51b-8bb2-465a-8654-7e5fe1a0a00b</selected_sticker_id>
</department>